### Function

# EDataServer time_parse_date_format

since: 3.50

#### Declaration [src]

    ETimeParseStatus
    e_time_parse_date_format (
      const gchar* value,
      const gchar* format,
      tm* out_result,
      gboolean* out_two_digit_year
    )

#### Description [src]

Parses `value` using the `format` saving the parsed date into `out_result`. Optionally sets whether there had been used two-digit year.

Available since: 3.50

#### Parameters

`value`

  Type: `const gchar*`

  A date string.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`format`

  Type: `const gchar*`

  A `strftime()` format string to use to parse the `value`.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`out_result`

  Type: `tm*`

  Return value for the parsed date.

  The argument will be set by the function.
  The argument can be set to `NULL` by the function.

`out_two_digit_year`

  Type: `gboolean*`

  Set to `TRUE`, if parsing with two-digit year, else `FALSE`, but only when not `NULL`.

  The argument will be set by the function.
  The argument can be `NULL`.

#### Return value

Type: `ETimeParseStatus`

An `ETimeParseStatus` result code indicating whether the `value` was an empty string, a valid date, or an invalid date.